Skip to main content
PATCH
Rename or move an entry within its project. A null parentId moves to My Files. Name conflicts never overwrite.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Replo-Api-Version
enum<string>
required

The public API version to use for this request.

Available options:
2026-08-21

Path Parameters

fileId
string<uuid>
required

Body

application/json
name
string
Required string length: 1 - 255
parentId
string<uuid> | null

Response

Rename or move an entry within its project. A null parentId moves to My Files. Name conflicts never overwrite.

object
enum<string>
required
Available options:
file
id
string<uuid>
required
projectId
string<uuid>
required
parentId
string<uuid> | null
required
name
string
required
kind
enum<string>
required
Available options:
file,
folder
sizeBytes
number | null
required
Required range: x >= 0
contentType
string | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required